<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ChangeTentativeActivationDateAndConfirmActivationDateToNewLineRequests extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('new_line_requests', function (Blueprint $table) {
            $table->dateTime('tentative_activation_date')->nullable()->change();
            $table->dateTime('confirm_activation_date')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('new_line_requests', function (Blueprint $table) {
            $table->integer('tentative_activation_date')->nullable()->change();
            $table->integer('confirm_activation_date')->nullable()->change();
        });
    }
}
